import Menu from '@instructure/ui-menu/lib/components/Menu'

import BuildingButtons from '../index'

describe('BuildingButtons', () => {
  const ConnectedBuildingButtons = withContext(BuildingButtons)
  const testbed = createTestbed(ConnectedBuildingButtons, {
    app: 'building',
    quizSaving: false
  })

  it('should render menu', () => {
    testbed.render()
    const menu = testbed.findChildByType(Menu)
    expect(menu.props.children.map((c) => c.key)).to.eql(['import', 'banks'])
  })
})
